"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _ArrayField = require("./ArrayField");

var _ArrayField2 = _interopRequireDefault(_ArrayField);

var _BooleanField = require("./BooleanField");

var _BooleanField2 = _interopRequireDefault(_BooleanField);

var _NumberField = require("./NumberField");

var _NumberField2 = _interopRequireDefault(_NumberField);

var _ObjectField = require("./ObjectField");

var _ObjectField2 = _interopRequireDefault(_ObjectField);

var _StringField = require("./StringField");

var _StringField2 = _interopRequireDefault(_StringField);

var _UnsupportedField = require("./UnsupportedField");

var _UnsupportedField2 = _interopRequireDefault(_UnsupportedField);

var COMPONENT_TYPES = {
  "array": _ArrayField2["default"],
  "boolean": _BooleanField2["default"],
  "date-time": _StringField2["default"],
  "integer": _NumberField2["default"],
  "number": _NumberField2["default"],
  "object": _ObjectField2["default"],
  "string": _StringField2["default"]
};

function SchemaField(props) {
  var FieldComponent = COMPONENT_TYPES[props.schema.type] || _UnsupportedField2["default"];
  return _react2["default"].createElement(FieldComponent, props);
}

if (process.env.NODE_ENV !== "production") {
  SchemaField.propTypes = {
    schema: _react.PropTypes.object.isRequired,
    uiSchema: _react.PropTypes.object
  };
}

exports["default"] = SchemaField;
module.exports = exports["default"];